aboutsummaryrefslogtreecommitdiff
path: root/post.sh
diff options
context:
space:
mode:
Diffstat (limited to 'post.sh')
-rwxr-xr-xpost.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/post.sh b/post.sh
index 5c5613e..03de817 100755
--- a/post.sh
+++ b/post.sh
@@ -1,6 +1,12 @@
#!/bin/sh
+if [ ! -s API_KEY ]; then
+ echo "put ur api key in API_KEY pwetty pwease"
+ exit 1
+fi
+api=$(cat API_KEY)
./build.sh
+
tmpfile=$(mktemp)
tar -C public/ -cvz . > $tmpfile
trap "rm $tmpfile" EXIT
-curl --oauth2-bearer "$1" -Fcontent=@"$tmpfile" https://pages.sr.ht/publish/lemurianmage.srht.site
+curl --oauth2-bearer "$api" -Fcontent=@"$tmpfile" https://pages.sr.ht/publish/lemurianmage.srht.site